Java™ 2 Platform 1.4.2 and Java for Business 1.4.2

   

Sun produces J2SE (both JRE and SDK) that runs on the following operating systems and CPUs. Other vendors provide ports of J2SE to various operating systems and CPUs not listed here. Note that Sun only produces an SDK for Itanium 2 operating systems (no JRE).

Sun also provides the Java for Business product (JFB). Note that not all configurations are supported on both JFB and J2SE. Refer to the columns in the following table. A blank cell indicates that support is not provided.

Refer to the Supported Locales document for the supported writing systems (languages) for each platform. The JRE does not support all writing systems on all platforms.

Also refer to specific footnotes at the end of this table.


System Virtualization Support

Support is available for Oracle VM 2.2.0.0.0, VirtualBox 3.x, Solaris Containers and Solaris LDOMs.

Note:
  • If a product is supported and certified on OEL or RHEL, it is also certified and supported in the virtualized installation of the same version of OEL or RHEL running on Oracle VM. (e.g. OEL4 --> OEL4 on Oracle VM, OEL5 --> OEL5 on Oracle VM, RHEL4 --> RHEL4 on Oracle VM, RHEL 5 --> RHEL5 on Oracle VM). Oracle recommends using latest updates levels and OVM versions available.
  • Every Oracle product that is certified on Windows means it is also certified and supported when running on Windows in a virtualized environment with Oracle VM as long as the Windows OS is supported with Oracle VM.

Hardware
Platform 
JFB  J2SE  Operating System Version  Desktop Managers  Browsers  JRE SDK
Solaris TM Operating System, 32-bit and 64-bit
1 Solaris
x64
(64-bit)
JFB J2SE Solaris 10 OS (32/64 bit) JDS, Gnome 2-metacity, CDE-dtwm Firefox 1.5
Firefox 2.0.x
Mozilla 1.7
32-bit Install
64-bit Install
32-bit Install
64-bit Install
Solaris
SPARC
JFB J2SE Solaris 10 OS (32/64 bit) JDS, Gnome 2-metacity, CDE-dtwm Firefox 1.5
Firefox 2.0.x
Mozilla 1.7
32-bit Install
64-bit Install
32-bit Install
64-bit Install
JFB J2SE Solaris 9 OS (32/64 bit) Gnome 2-metacity, CDE-dtwm Mozilla 1.4
Netscape 7
JFB J2SE Solaris 8 OS (32/64 bit) CDE-dtwm/OpenWin-olwm Netscape 4.7
Solaris
x86
(32-bit)
JFB J2SE Solaris 10 OS (32 bit) JDS, Gnome 2-metacity, CDE-dtwm Firefox 1.5
Firefox 2.0.x
Mozilla 1.7
32-bit Install 32-bit Install
JFB J2SE Solaris 9 OS (32 bit) Gnome 2-metacity, CDE-dtwm Mozilla 1.4
Netscape 7
JFB J2SE Solaris 8 OS (32 bit) CDE-dtwm/OpenWin-olwm Netscape 4.7
Windows (32-bit)
Windows
x86
JFB   Windows 7 Home Premium Aero, Windows XP & Classic Desktop IE 8.x
Firefox 2.0.x,
Firefox 3.0.x or
Firefox 3.5.x
Install Install
JFB   Windows 7 Professional
JFB   Windows 7 Ultimate
JFB   Windows Vista Home Basic (SP1, SP2) Windows XP & Classic Desktop IE 7.x or IE 8.x
Firefox 2.0.x,

Firefox 3.0.x or

Firefox 3.5.x
JFB   Windows Vista Home Premium (SP1, SP2)
JFB   Windows Vista Home Business (SP1, SP2)
JFB   Windows Vista Home Ultimate (SP1, SP2)
JFB   Windows Server 2008 Standard (SP1, SP2) Windows XP & Classic Desktop IE 7.x or IE 8.x
Firefox 2.0.x,

Firefox 3.0.x or

Firefox 3.5.x
JFB   Windows Server 2008 Enterprise (SP1, SP2)
JFB   Windows Server 2008 Datacenter (SP1, SP2)
JFB   Windows Web Server 2008 (SP1, SP2)
JFB J2SE Windows XP Professional (SP1, SP2, SP3) Windows XP & Classic Desktop IE 6 or IE 7.x or IE 8.x
Firefox 2.0.x,
Firefox 3.0.x or
Firefox 3.5.x
JFB J2SE Windows XP Home (SP1, SP2, SP3)
JFB J2SE Windows 2000 Professional (SP3, SP4) Windows Active & Classic Desktop IE 5.50 or IE 6
Mozilla 1.4
Mozilla 1.7
Firefox 2.0.x
JFB J2SE Windows 2000 Server
(SP3, SP4)
JFB J2SE Windows 98 (2nd Edition) Classic Desktop IE 5.50 or IE 6
JFB J2SE Windows ME Classic Desktop IE 5.50 or IE 6
JFB J2SE Windows Server 2003, Web Edition (R2, SP1, SP2) Windows XP & Classic Desktop IE 6 or IE 7.x or IE 8.x
Firefox 2.0.x,
Firefox 3.0.x or
Firefox 3.5.x
JFB J2SE Windows Server 2003, Standard Edition (R2, SP1, SP2)
JFB J2SE Windows Server 2003, Enterprise Edition (R2, SP1, SP2)
JFB J2SE Windows Server 2003, DataCenter Edition (R2, SP1, SP2)
Windows 64-bit
Itanium 2 Windows  JFB  J2SE  Windows Server 2003, Enterprise Edition  Windows Active & Classic Desktop  Not Supported Not Supported Install
JFB  J2SE  Windows Server 2003, Datacenter Edition  Windows Active & Classic Desktop  Not Supported
Linux 32-bit
Linux
x86
JFB   Oracle Enterprise Linux 5.5 Gnome 2.16.0-6.el5 - metacity 2.16.0-12.el5 Firefox 3.0.x or Firefox 3.5.x Install Install
JFB   Oracle Enterprise Linux 5.4 Gnome 2.16.0-6.el5 - metacity 2.16.0-12.el5 Firefox 3.0.x or Firefox 3.5.x
JFB   Oracle Enterprise Linux 4.8 Gnome 2.7.3 - metacity 2.6.2 Firefox 2.0.x or Firefox 3.0.x
JFB   Red Hat Enterprise Linux 5.5 Gnome 2.16.0-6.el5 - metacity 2.16.0-12.el5 Firefox 3.0.x or Firefox 3.5.x
JFB   Red Hat Enterprise Linux 5.0 (5.1, 5.2, 5.3, 5.4) Gnome 2.16.0-6.el5 - metacity 2.16.0-12.el5 Firefox 2.0.x or Firefox 3.0.x
JFB J2SE Red Hat Enterprise Linux AS 4.0 (4.1 - 4.8) Gnome 2.8.0-metacity 2.6.2 Firefox 2.0.x
Mozilla 1.4
Mozilla 1.7
JFB J2SE Red Hat Enterprise Linux ES 4.0 (4.1 - 4.8) Gnome 2.8.0-metacity 2.6.2
JFB J2SE Red Hat Enterprise Linux AS 3.0 Gnome 2.2.2-metacity 2.6.2 Mozilla 1.4
JFB J2SE Red Hat Enterprise Linux ES 3.0 Gnome 2.2.2-metacity 2.6.2
JFB J2SE Red Hat Enterprise Linux WS 2.1 Gnome 1.4-sawfish 1.0
JFB J2SE Red Hat Enterprise Linux ES 2.1 Gnome 1.4-sawfish 1.0
JFB J2SE Red Hat Enterprise Linux AS 2.1 Gnome 1.4-sawfish 1.0
JFB J2SE SUSE 10 Gnome 2.12.0.1-2 - metacity 2.12.0-3 Firefox 2.0.x
JFB J2SE SUSE 9.2 Gnome 2.6.1-metacity 2.6.2 Mozilla 1.4
JFB J2SE SUSE 9.1 Gnome 2.2-metacity 2.6.2
JFB J2SE SUSE 9 Gnome 2.2-metacity 2.6.2
JFB J2SE SUSE 8.2 Gnome 2.2-metacity 2.6.2
JFB J2SE SLEC 8 Gnome 2.0-metacity 2.6.2
JFB   SLES 11 GNOME 2.24.1-2.28 - metacity is 2.24.0-3 Firefox 3.0.6 or 3.0.8
JFB J2SE SLES 10 Gnome 2.12.0.1-26.6 - metacity 2.12.3-0.15 Firefox 2.0.x
JFB J2SE SLES 9 Gnome 2.4.0-metacity 2.6.2 Mozilla 1.4
JFB J2SE SLES 8 Gnome 2.0.5-metacity 2.6.2
JFB J2SE TurboLinux 8.0 Gnome-sawfish 1.0
JFB J2SE Sun Java TM Desktop System, Release 2 Gnome 2-metacity 2.4
JFB J2SE Sun Java TM Desktop System, Release 1 Gnome 2-metacity 2.4
Linux 64-bit
Itanium 2 Linux  JFB   Red Hat Enterprise Linux 5.5 Gnome 2.16.0-6.el5 - metacity 2.16.0-12.el5 Not Supported  Install Install
JFB  J2SE  Red Hat Enterprise Linux AS 4.0  Gnome2.8.0-metacity 2.4  Not Supported 
JFB  J2SE  Red Hat Enterprise Linux ES 4.0  Gnome2.8.0-metacity 2.4 
JFB  J2SE  Red Hat Enterprise Linux AS 3.0 Gnome2.2.2-metacity 2.4
JFB  J2SE  Red Hat Enterprise Linux AS 2.1  Gnome-sawfish 1.0 
JFB  J2SE  Red Hat Enterprise Linux AW 2.1  Gnome-sawfish 1.0 
JFB  J2SE  SUSE 9.2 Gnome2.4.0-metacity 2.4
JFB  J2SE  SUSE Linux Enterprise Server (SLES) 8 Gnome2-metacity 2.4
JFB    Red Hat Enterprise Linux 5.0 (5.1, 5.2, 5.3, 5.4) Gnome 2.0.5-metacity 2.6.2  

 



Update Release Footnotes

  • Oracle Enterprise Linux 5.5 support for JFB was introduced in 1.4.2_26.
  • Oracle Enterprise Linux 5.4 support for JFB was introduced in 1.4.2_26.
  • Oracle Enterprise Linux 4.8 support for JFB was introduced in 1.4.2_26.
  • Red Hat Enterprise Linux 5.5 support for JFB was introduced in 1.4.2_26.
  • Red Hat Enterprise Linux 5.4 support for JFB was introduced in 1.4.2_23.
  • Windows 7 support was introduced in 1.4.2_23.
  • Windows Server 2008 R2 support was introduced in 1.4.2_23.
  • Windows Vista SP2 support was added in 1.4.2_23.
  • Windows Server 2008 SP2 was added in 1.4.2_23.
  • Windows Server 2008 support was added in 1.4.2_21.
  • Support for Red Hat Enterprise Linux 5.0 and 5.3 was added in 1.4.2_21.
  • Windows Vista support was added in 1.4.2_21.
  • SLES 11 support was added in 1.4.2_21.

Browser Footnotes

Firefox 3.6 is not fully compatible with its earlier versions, and therefore J2SE 1.4.2 does not work with Firefox 3.6.
For Java based web applications to work, the Firefox 3.6 browser requires you to run Java SE 6 Update 18 or later.

  • Firefox 3.5.1 support was added in 1.4.2_23.
  • Netscape 4.7.x, 6.2.2 and 7
  • Mozilla 1.2.1, 1.3, 1.4 and 1.4.1
  • Internet Explorer 5.50, 6 and 7
  • IE 8 support was added in version 1.4.2_21.

 

Other Operating System Notes

  • Oracle Enterprise Linux 5.4 is supported when metacity version 2.16.0-12.el5_4.1 or higher is installed.
  • IA32 = Intel Architecture 32-bit
  • SLES 11 is supported when metacity patch 20090717 from Novell is installed.